## golang-github-tillitis-tkeysign 1.1.0

=== Makefile ===
all:
	go build

.PHONY: lint
lint:
	golangci-lint run

.PHONY: spdx
spdx:
	./tools/spdx-ensure

## golang-github-tillitis-tkeysign 1.0.1

=== debian/changelog ===
golang-github-tillitis-tkeysign (1.0.1-2) unstable; urgency=medium

  * salsa-ci.yml: Drop custom apt repo.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 14 Nov 2024 10:18:52 +0100

golang-github-tillitis-tkeysign (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #1087026)

 -- Simon Josefsson <simon@josefsson.org>  Fri, 08 Nov 2024 10:53:54 +0100

=== debian/control ===
Source: golang-github-tillitis-tkeysign
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-tillitis-tkeyclient-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tillitis-tkeysign
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tillitis-tkeysign.git
Homepage: https://github.com/tillitis/tkeysign
XS-Go-Import-Path: github.com/tillitis/tkeysign

Package: golang-github-tillitis-tkeysign-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-tillitis-tkeyclient-dev,
 ${misc:Depends},
Description: Tillitis TKey signer functions (library)
 Tillitis TKey Sign package
 .
 A Go package for communicating with the signer device app
 (https://github.com/tillitis/tkey-device-signer) on a Tillitis
 (https://tillitis.se/) TKey to get cryptographic signatures over a
 message.
 .
 This package contains the Go development library.

## golang-github-tillitis-tkeysign 1.1.0

=== debian/changelog ===
golang-github-tillitis-tkeysign (1.1.0-1) unstable; urgency=medium

  * Standards-Version: 4.7.2.
  * Bump debian/* copyright years.
  * New upstream version 1.1.0

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Aug 2025 19:40:26 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  golang-any,
  golang-github-tillitis-tkeyclient-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-tillitis-tkeysign
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-tillitis-tkeysign.git
 Homepage: https://github.com/tillitis/tkeysign

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/tillitis/tkeysign/tags .*/v?(\d\S*)\.tar\.gz debian
